Loading...
Searching...
No Matches
EyeDisplaysForm Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

Base class for setting up and managing QTGUI plot forms. More...

`#include <gnuradio/qtgui/eyedisplaysform.h>`

## Public Slots

void | resizeEvent (QResizeEvent *e) override
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setSamplesPerSymbol (int64_t sps)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Signals

void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)

## Public Member Functions

| EyeDisplaysForm (int nplots=1, QWidget *parent=0)
| ~EyeDisplaysForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Protected Attributes

unsigned int | d_nplots
int | d_sps
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
std::vector< DisplayPlot * > | d_displays_plot
bool | d_system_specified_flag
std::vector< QwtPlotGrid * > | d_grids
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

Base class for setting up and managing QTGUI plot forms.

## Constructor & Destructor Documentation

## EyeDisplaysForm()

EyeDisplaysForm::EyeDisplaysForm | ( | int | nplots = 1,
|  | QWidget * | parent = 0 )

## ~EyeDisplaysForm()

EyeDisplaysForm::~EyeDisplaysForm | ( |  | ) |

override

## Member Function Documentation

## closeEvent

void EyeDisplaysForm::closeEvent | ( | QCloseEvent * | e | ) |

override slot

## customEvent

void EyeDisplaysForm::customEvent | ( | QEvent * | e | ) |

override pure virtual slot

## disableLegend

void EyeDisplaysForm::disableLegend | ( |  | ) |

slot

## enableMenu()

void EyeDisplaysForm::enableMenu | ( | bool | en = true | ) |

## lineColor

QString EyeDisplaysForm::lineColor | ( | unsigned int | which | ) |

slot

## lineLabel

QString EyeDisplaysForm::lineLabel | ( | unsigned int | which | ) |

slot

## lineMarker

QwtSymbol::Style EyeDisplaysForm::lineMarker | ( | unsigned int | which | ) |

slot

## lineStyle

Qt::PenStyle EyeDisplaysForm::lineStyle | ( | unsigned int | which | ) |

slot

## lineWidth

int EyeDisplaysForm::lineWidth | ( | unsigned int | which | ) |

slot

## markerAlpha

int EyeDisplaysForm::markerAlpha | ( | unsigned int | which | ) |

slot

## mousePressEvent

void EyeDisplaysForm::mousePressEvent | ( | QMouseEvent * | e | ) |

override slot

## plotPointSelected

void EyeDisplaysForm::plotPointSelected | ( | const QPointF | p,
|  | int | type )

signal

## Reset()

void EyeDisplaysForm::Reset | ( |  | ) |

## resizeEvent

void EyeDisplaysForm::resizeEvent | ( | QResizeEvent * | e | ) |

override slot

## saveFigure

void EyeDisplaysForm::saveFigure | ( |  | ) |

slot

## setAxisLabels

void EyeDisplaysForm::setAxisLabels | ( | bool | en | ) |

slot

## setGrid

void EyeDisplaysForm::setGrid | ( | bool | on | ) |

slot

## setLineColor

void EyeDisplaysForm::setLineColor | ( | unsigned int | which,
|  | const QString & | color )

slot

## setLineLabel

void EyeDisplaysForm::setLineLabel | ( | unsigned int | which,
|  | const QString & | label )

slot

## setLineMarker

void EyeDisplaysForm::setLineMarker | ( | unsigned int | which,
|  | QwtSymbol::Style | style )

slot

## setLineStyle

void EyeDisplaysForm::setLineStyle | ( | unsigned int | which,
|  | Qt::PenStyle | style )

slot

## setLineWidth

void EyeDisplaysForm::setLineWidth | ( | unsigned int | which,
|  | unsigned int | width )

slot

## setMarkerAlpha

void EyeDisplaysForm::setMarkerAlpha | ( | unsigned int | which,
|  | unsigned int | alpha )

slot

## setSampleRate

virtual void EyeDisplaysForm::setSampleRate | ( | const QString & | rate | ) |

virtual slot

## setSamplesPerSymbol

void EyeDisplaysForm::setSamplesPerSymbol | ( | int64_t | sps | ) |

slot

## setStop [1/2]

void EyeDisplaysForm::setStop | ( |  | ) |

slot

## setStop [2/2]

void EyeDisplaysForm::setStop | ( | bool | on | ) |

slot

## setTitle

void EyeDisplaysForm::setTitle | ( | const QString & | title | ) |

slot

References title().

## setUpdateTime

void EyeDisplaysForm::setUpdateTime | ( | double | t | ) |

slot

## title

QString EyeDisplaysForm::title | ( |  | ) |

slot

Referenced by setTitle().

## toggleGrid

void EyeDisplaysForm::toggleGrid | ( | bool | en | ) |

signal

## Member Data Documentation

## d_autoscale_act

QAction* EyeDisplaysForm::d_autoscale_act

protected

## d_autoscale_state

bool EyeDisplaysForm::d_autoscale_state

protected

## d_axislabels

bool EyeDisplaysForm::d_axislabels

protected

## d_axislabelsmenu

QAction* EyeDisplaysForm::d_axislabelsmenu

protected

## d_display_plot

DisplayPlot* EyeDisplaysForm::d_display_plot

protected

## d_displays_plot

std::vector<DisplayPlot*> EyeDisplaysForm::d_displays_plot

protected

## d_grid_act

QAction* EyeDisplaysForm::d_grid_act

protected

## d_grid_state

bool EyeDisplaysForm::d_grid_state

protected

## d_grids

std::vector<QwtPlotGrid*> EyeDisplaysForm::d_grids

protected

## d_layout

QGridLayout* EyeDisplaysForm::d_layout

protected

## d_line_color_menu

QList<LineColorMenu*> EyeDisplaysForm::d_line_color_menu

protected

## d_line_marker_menu

QList<LineMarkerMenu*> EyeDisplaysForm::d_line_marker_menu

protected

## d_line_style_menu

QList<LineStyleMenu*> EyeDisplaysForm::d_line_style_menu

protected

## d_line_title_act

QList<LineTitleAction*> EyeDisplaysForm::d_line_title_act

protected

## d_line_width_menu

QList<LineWidthMenu*> EyeDisplaysForm::d_line_width_menu

protected

## d_lines_menu

QList<QMenu*> EyeDisplaysForm::d_lines_menu

protected

## d_marker_alpha_menu

QList<MarkerAlphaMenu*> EyeDisplaysForm::d_marker_alpha_menu

protected

## d_menu

QMenu* EyeDisplaysForm::d_menu

protected

## d_menu_on

bool EyeDisplaysForm::d_menu_on

protected

## d_nplots

unsigned int EyeDisplaysForm::d_nplots

protected

## d_samp_rate_act

PopupMenu* EyeDisplaysForm::d_samp_rate_act

protected

## d_save_act

QAction* EyeDisplaysForm::d_save_act

protected

## d_sps

int EyeDisplaysForm::d_sps

protected

## d_stop_act

QAction* EyeDisplaysForm::d_stop_act

protected

## d_stop_state

bool EyeDisplaysForm::d_stop_state

protected

## d_system_specified_flag

bool EyeDisplaysForm::d_system_specified_flag

protected

## d_update_time

double EyeDisplaysForm::d_update_time

protected

The documentation for this class was generated from the following file:

- eyedisplaysform.h